Remove maximum dependency version on text.

Bump version to 0.4.6.
diff --git a/anansi.cabal b/anansi.cabal
index 5c7f402..a99b7f3 100644
--- a/anansi.cabal
+++ b/anansi.cabal
@@ -1,5 +1,5 @@
 name: anansi
-version: 0.4.5
+version: 0.4.6
 license: GPL-3
 license-file: license.txt
 author: John Millikin <jmillikin@gmail.com>, Dirk Laurie <dirk.laurie@gmail.com>
@@ -32,7 +32,7 @@
 source-repository this
   type: git
   location: https://john-millikin.com/code/anansi/
-  tag: anansi_0.4.5
+  tag: anansi_0.4.6
 
 library
   hs-source-dirs: lib
@@ -47,7 +47,7 @@
     , system-argv0 >= 0.1 && < 0.2
     , system-filepath >= 0.3.1 && < 0.5
     , system-fileio >= 0.2.1 && < 0.4
-    , text >= 0.7 && < 0.12
+    , text >= 0.7
 
   exposed-modules:
     Anansi
@@ -78,4 +78,4 @@
     , system-argv0 >= 0.1 && < 0.2
     , system-filepath >= 0.3.1 && < 0.5
     , system-fileio >= 0.2.1 && < 0.4
-    , text >= 0.7 && < 0.12
+    , text >= 0.7